Subject: RE: B20: hang on pipe to grep
From: [email-masked] (Hugh Winkler)

24 Nov 1998 07:56:29 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "'Gary V. Vaughan'" <[email-masked]>
Cc: <[email-masked]>

Maybe you don't want binmode in CYGWIN?
I think bash & ash in b19, used to have hardwired text mode on stdin etc.
binmode would change that behavior.

Hugh Winkler
Scout Systems, Inc.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Gary V. Vaughan
> Sent: Friday, November 20, 1998 12:02 PM
> To: Geoffrey Noer
> Cc: [email-masked]
> Subject: Re: B20: hang on pipe to grep
>
snip...
> I have an application which used to compile and work perfectly under
> b19.  I have upgraded to b20, and made all my mounts text!=binary, but
> also been careful to use O_BINARY for all the files, descriptors and
> pipes that are opened.  I also have CYGWIN='  tty binmode' in the
> environment before I launch the shell.

snip...
> Actually there is a bit more going on than this, but the
> bottom line is
> that it *did* work under b19 and aside from my no longer using binary
> mounts, and opening the pipes with O_BINARY, the only
> significant change
> is the upgrade to b20.  I noticed this problem without O_BINARY pipes
> and had thought that adding that option might fix it, so it has been
> tested (and fails) in both modes.
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".